%global inkscape_extensions_dir %{_datadir}/inkscape/extensions

Name:           inkscape-table
Version:        1.0
Release:        2%{?dist}
Summary:        Table support for inkscape
Group:          Applications/Productivity
License:        GPLv2+
URL:            http://sourceforge.net/projects/inkscape-tables/
Source0:        http://downloads.sourceforge.net/project/inkscape-tables/%{name}-%{version}.tar.gz
BuildArch:      noarch
Buildrequires:  python2-devel
Requires:       inkscape
Requires:       python2
Requires:       pygtk2
Requires:       python-lxml


%description
This Inkscape extension provides support for drawing tables.


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}%{inkscape_extensions_dir}
cp -a modules/* %{buildroot}%{inkscape_extensions_dir}
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_merge_merge.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_guides.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/base_transform.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_width.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_height.py
chmod +x %{buildroot}%{inkscape_extensions_dir}/table_fit_page.py


%files
%{inkscape_extensions_dir}/*
%doc README CHANGELOG


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 17 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
